org.jboss.jca.common.metadata.ds

## Class DsSecurityImpl

- java.lang.Object
- - org.jboss.jca.common.metadata.common.CredentialImpl
  - - org.jboss.jca.common.metadata.ds.DsSecurityImpl

- All Implemented Interfaces:
    java.io.Serializable, org.jboss.jca.common.api.metadata.common.Credential, org.jboss.jca.common.api.metadata.common.SecurityMetadata, org.jboss.jca.common.api.metadata.ds.DsSecurity, org.jboss.jca.common.api.metadata.JCAMetadata, org.jboss.jca.common.api.metadata.ValidatableMetadata

      public class DsSecurityImpl
      extends CredentialImpl
      implements org.jboss.jca.common.api.metadata.ds.DsSecurity

  A DsSecurityImpl.
  Author:
    Stefano Maestri
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.jca.common.api.metadata.ds.DsSecurity

      `org.jboss.jca.common.api.metadata.ds.DsSecurity.Tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DsSecurityImpl(java.lang.String userName, java.lang.String password, java.lang.String securityDomain, org.jboss.jca.common.api.metadata.common.Extension reauthPlugin)` Create a new DsSecurityImpl.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `org.jboss.jca.common.api.metadata.common.Extension` | `getReauthPlugin()` Get the reauthPlugin extension
    `int` | `hashCode()`
    `java.lang.String` | `toString()`
    `void` | `validate()` Validate this metadata according validation required by specification

    - ### Methods inherited from class org.jboss.jca.common.metadata.common.CredentialImpl

      `getPassword, getSecurityDomain, getUserName, resolveSecurityDomain`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.jca.common.api.metadata.common.Credential

      `getPassword, getSecurityDomain, getUserName`

    - ### Methods inherited from interface org.jboss.jca.common.api.metadata.common.SecurityMetadata

      `resolveSecurityDomain`

- - ### Constructor Detail

    - #### DsSecurityImpl

          public DsSecurityImpl(java.lang.String userName,
                                java.lang.String password,
                                java.lang.String securityDomain,
                                org.jboss.jca.common.api.metadata.common.Extension reauthPlugin)
                         throws org.jboss.jca.common.api.validator.ValidateException

      Create a new DsSecurityImpl.
      Parameters:
        `userName` - userName
        `password` - password
        `securityDomain` - securityDomain
        `reauthPlugin` - reauthPlugin
      Throws:
        `org.jboss.jca.common.api.validator.ValidateException` - in case of validation error

  - ### Method Detail

    - #### getReauthPlugin

          public org.jboss.jca.common.api.metadata.common.Extension getReauthPlugin()

      Description copied from interface: `org.jboss.jca.common.api.metadata.ds.DsSecurity`
      Get the reauthPlugin extension
      Specified by:
        `getReauthPlugin` in interface `org.jboss.jca.common.api.metadata.ds.DsSecurity`
      Returns:
        the reauthPlugin

    - #### validate

          public void validate()
                        throws org.jboss.jca.common.api.validator.ValidateException

      Description copied from interface: `org.jboss.jca.common.api.metadata.ValidatableMetadata`
      Validate this metadata according validation required by specification
      Specified by:
        `validate` in interface `org.jboss.jca.common.api.metadata.ValidatableMetadata`
      Overrides:
        `validate` in class `CredentialImpl`
      Throws:
        `org.jboss.jca.common.api.validator.ValidateException` - in case of validation fail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `CredentialImpl`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `CredentialImpl`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)